package oyentes;

import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.*;

/**
 * Clase oyente del evento generado al elegir una opcin de tipo "Hallar rbol..." que no sea
 * "Hallar rbol generador mximo"
 * 
 * @author Daniel Guijarro Enriquez
 * @version 1.0
 */
public class OyenteHallarOtroArbol implements ActionListener {

    /**
     * Mtodo que se invoca cuando ocurre una accin
     */
    public void actionPerformed(ActionEvent e) {
        Object[] opciones = {"OK"};
        JOptionPane panel = new JOptionPane("The step you have taken is WRONG",
                JOptionPane.ERROR_MESSAGE, JOptionPane.DEFAULT_OPTION, null, opciones);
        JDialog ventana = panel.createDialog(null, "WRONG");
        
        //Se obtiene el tamao de la pantalla
        Toolkit tk = Toolkit.getDefaultToolkit();
        Dimension tamanyoPantalla = tk.getScreenSize();
        
        //Se establece el tamao y la posicin de la ventana
        ventana.setLocation((tamanyoPantalla.width - ventana.getPreferredSize().width) / 2,
                tamanyoPantalla.height - ((ventana.getPreferredSize().height * 6) / 5));
        
        ventana.setModal(true);
        ventana.setVisible(true);
    }
    
}
