package oyentes;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import estructuras.AplicadorAlgoritmo;

/**
 * Clase oyente del evento generado al elegir la opcin "Solucin pasos restantes"
 * 
 * @author Daniel Guijarro Enriquez
 * @version 1.0
 */
public class OyenteSolucionPasosRestantes implements ActionListener {

    private AplicadorAlgoritmo aplicadorAlgoritmo;
    
    /**
     * Constructor
     * @param aplicador aplicador de un algoritmo
     */
    public OyenteSolucionPasosRestantes(AplicadorAlgoritmo aplicador) {
        aplicadorAlgoritmo = aplicador;
    }
    
    /**
     * Mtodo que se invoca cuando ocurre una accin
     */
    public void actionPerformed(ActionEvent e) {
        aplicadorAlgoritmo.solucionPasosRestantes();
    }
    
}
